Update a workspace update

View as Markdown

Updates a workspace update.

Note:

This endpoint requires the application/merge-patch+json Content-Type header.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

workspaceIdstringRequired
The workspace's ID.
updateIdintegerRequired
The workspace update's ID.

Request

This endpoint expects an object.
descriptionstringRequired1-20000 characters
The content of the workspace update.
topicstringRequired1-255 characters
The title of the workspace update.
categoryenumRequired
The update's assigned category.
isPinnedbooleanOptionalDefaults to false
If true, the workspace update is pinned to the top of the workspace updates list.
relatedResourceslist of objectsOptional
A list containing the update's related elements. Related elements include links to collections, requests, folders, and saved examples in the update.

Response

Successful Response
idintegerOptional
The workspace update's ID.
topicstringOptional
The title of the workspace update.
descriptionstringOptional
The content of the workspace update.
workspaceIdstringOptional
The ID of the workspace in which the workspace update was created.
createdByintegerOptional
The user ID of the user that created the workspace update.
updatedByintegerOptional
The ID of the user who last updated the workspace update.
createdAtdatetimeOptional
The date and time at which the workspace update was created.
updatedAtdatetimeOptional
The date and time at which the workspace update was last updated.
categoryenumOptional
The update's assigned category.
isPinnedbooleanOptionalDefaults to false
If true, the workspace update is pinned to the top of the workspace updates list.
relatedResourceslist of objectsOptional
A list containing the update's related elements. Related elements include links to collections, requests, folders, and saved examples in the update.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error